# createshortcut

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### createshortcut

creates a shortcut for an RDP connection or a published desktop or application.

**Category: Shortcuts**

```
AppServerClientCLI createshortcut -id ras:3:24 [-remember]  
```

### Arguments

* **`id (mandatory)`** Specify the connection or published app/desktop ID to use.
* **`remember (optional)`** Create a shortcut as instructed by server. See notes for further information.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
Exception - System problem

### Examples:

AppServerClientCLI createshortcut -id ras:3:24\
AppServerClientCLI createshortcut -id rdp:21

### Notes:

When remember is set, the shortcut is created as instructed by the server.\
This means that the shortcut can be removed automatically when the option is disabled.\
The Modern UI should not set this argument.

### See also:

[deleteallshortcuts](/landing/ras-windows-cli-guide/v20/commands/deleteallshortcuts.md)\
[createfavoritesshortcuts](/landing/ras-windows-cli-guide/v20/commands/createfavoritesshortcuts.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/createshortcut.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
